--***************************************************************
--*脚本名称: create_test_201907222.sql
--*功能: 创建statistic_promotion_channel(test_201907222)的映射表
--*业务名称: tl
--*输入数据: hdfs://bj-gmei-hdfs/data/log/thirdparty/test_201907222/partition_date=${partition_date}/
--*作者: data-exchange
--*更新时间: 2019-07-22 15:40:49
--***************************************************************

--设置全局变量&UDF
SET mapred.input.dir.recursive=true;
SET hive.mapred.supports.subdirectories=true;

--声明数据库
USE ${dbname};

--加载HDFS外部数据分区
ALTER TABLE test_201907222 DROP IF EXISTS PARTITION (partition_date = '${partition_date}');
ALTER TABLE test_201907222 ADD IF NOT EXISTS PARTITION (partition_date = '${partition_date}') LOCATION 'hdfs://bj-gm-test-data001:8020/data/log/thirdparty/test_201907222/partition_date=${partition_date}/';